%define module  Template-Plugin-Class
%define name    perl-%{module}
%define version 0.13
%define release %mkrel 5

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Allow calling of class methods on arbitrary classes
License:        Artistic
group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Template/%{module}-%{version}.tar.bz2
Buildrequires:  perl(Module::Build)
Buildrequires:  perl(Template)
buildArch:      noarch
buildRoot:      %{_tmppath}/%{name}-%{version}

%description
Template::Plugin::Class allows you to call class methods on arbitrary classes.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Template
%{_mandir}/*/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-5mdv2009.0
+ Revision: 241950
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-3mdv2008.0
+ Revision: 86930
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2007.0
- Rebuild

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- new version
- no buildrequires on perl-devel, this is a Module-Build managed module

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-4mdk
- fix buildrequires

* Thu Mar 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-3mdk
- spec rewrite

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.12-2mdk
- rpmlint fixes

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.12-1mdk
- Initial build.

